Package org.acplt.oncrpc

## Class OncRpcClientCallMessage

- java.lang.Object
- - org.acplt.oncrpc.OncRpcMessage
  - - org.acplt.oncrpc.OncRpcCallMessage
    - - org.acplt.oncrpc.OncRpcClientCallMessage

-     public class OncRpcClientCallMessage
      extends OncRpcCallMessage

  The `OncRpcClientCallMessage` class represents a remote procedure call message on the client side.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected OncRpcClientAuth` | `auth` | Client-side authentication protocol handling object to use when decoding the reply message.

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcCallMessage

      `ONCRPC_VERSION, oncRpcVersion, procedure, program, version`

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcMessage

      `messageId, messageType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcClientCallMessage​(int messageId, int program, int version, int procedure, OncRpcClientAuth auth)` | Constructs and initialises a new ONC/RPC call message header.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `xdrEncode​(XdrEncodingStream xdr)` | Encodes -- that is: serializes -- a ONC/RPC message header object into a XDR stream according to RFC 1831.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### auth

          protected OncRpcClientAuth auth

      Client-side authentication protocol handling object to use when decoding the reply message.

  - ### Constructor Detail

    - #### OncRpcClientCallMessage

          public OncRpcClientCallMessage​(int messageId,
                                         int program,
                                         int version,
                                         int procedure,
                                         OncRpcClientAuth auth)

      Constructs and initialises a new ONC/RPC call message header.
      Parameters:
        `messageId` - An identifier choosen by an ONC/RPC client to uniquely identify matching call and reply messages.
        `program` - Program number of the remote procedure to call.
        `version` - Program version number of the remote procedure to call.
        `procedure` - Procedure number (identifier) of the procedure to call.
        `auth` - Authentication protocol handling object.

  - ### Method Detail

    - #### xdrEncode

          public void xdrEncode​(XdrEncodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Encodes -- that is: serializes -- a ONC/RPC message header object into a XDR stream according to RFC 1831.
      Parameters:
        `xdr` - An encoding XDR stream where to put the mess in.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.